Bug 442592 - Produced messages lost on connection close
Produced messages lost on connection close
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
All Linux
urgent Severity low
: ---
: ---
Assigned To: messaging-bugs
Kim van der Riet
Depends On:
  Show dependency treegraph
Reported: 2008-04-15 14:16 EDT by Ted Ross
Modified: 2009-05-07 16:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-14 09:07:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ted Ross 2008-04-15 14:16:18 EDT
Description of problem:

The customer reports that messages appear to be lost intermittently when a
producer sends a single message then immediately closes its connection.  When
the consumer is synchronous, the problem does not occur.  When asynchronous, the
problem sometimes occurs.

The customer is using the C++ broker and the JMS client.

Version-Release number of selected component (if applicable):

BT-3 (there's a question as to whether the client is BT-3 or BT-2)

Note You need to log in before you can comment on or make changes to this bug.